wreport::buffers::CrexOutput Struct Reference

Text output buffer. More...

`#include <crex.h>`

## Public Member Functions

| CrexOutput (std::string &buf)
| Wrap a string with a CrexOutput.
void | raw_append (const char *str, int len)
| Append a string.
void | raw_appendf (const char *fmt,...) __attribute__((format(printf
| Append a printf-formatted string.
void void | encode_check_digit ()
| Generate and append a check digit.
void | append_missing (Varinfo info)
| Append a missing variable encoded according to info.
void | append_var (Varinfo info, const Var &var)
| Append a variable encoded according to info.

## Data Fields

std::string & | buf
| String we append to.
int | has_check_digit
| True if the CREX message uses the check digit feature.
int | expected_check_digit
| Value of the next expected check digit.

## Detailed Description

Text output buffer.

## Constructor & Destructor Documentation

## CrexOutput()

wreport::buffers::CrexOutput::CrexOutput | ( | std::string & | buf | ) |

Wrap a string with a CrexOutput.

Parameters

  buf | The string to append to

References buf.

The documentation for this struct was generated from the following file:

- crex.h